diff --git b/src/tds/num_limits.pl a/src/tds/num_limits.pl
new file mode 100755
index 0000000..a26ff4b
--- /dev/null
+++ a/src/tds/num_limits.pl
@@ -0,0 +1,95 @@
+#!/usr/bin/perl
+
+#
+# $Id: num_limits.pl,v 1.2 2005/08/02 12:09:57 freddy77 Exp $
+# Compute limits table to check numeric typs
+#
+
+use strict;
+
+# This function convert a number given in textual form ("1000") to a
+# packet form (binary packet in groups of selected bit)
+sub to_pack($$)
+{
+	my ($num, $bit) = @_;
+	my @digits;
+
+	my ($carry, $n, $i, $pos, $bin);
+	my $out = "\x00" x 32;
+	$pos = 0;
+	$bin = '';
+	while($num ne '') {
+		@digits = split('', $num);
+		$carry = 0;
+		for $i (0..$#digits) {
+			$n = $carry * 10 + $digits[$i];
+			$digits[$i] = int($n / 2);
+			$carry = $n & 1;
+		}
+		$bin = "$carry$bin";
+		vec($out, $pos++, 1) = $carry;
+		shift @digits if ($digits[0] == 0);
+		$num = join('', @digits);
+	}
+	return reverse unpack($bit == 32 ? 'V' x 8 : 'v' x 16, $out);
+}
+
+# Print a tables for given bits
+# This function produce two arrays
+#  one (limits) store not 0 packet numbers
+#  the other (limit_indexes) store indexed in first array
+sub print_all()
+{
+	my ($bit) = @_;
+	my @limits = ();
+	my @indexes = ();
+	my $i;
+
+	$indexes[0] = 0;
+	# compute packet numbers and indexes
+	# we use 1000... number to reduce number length (lower packet are 
+	# zero for big numbers)
+	for $i (0..77) {
+		my @packet = &to_pack("1".('0'x$i), $bit);
+		$indexes[$i] = $#limits + 1;
+		while($packet[0] == 0) {
+			shift @packet;
+		}
+		while($packet[0] != 0) {
+			push @limits, shift @packet;
+		}
+		$indexes[$i+1] = $#limits + 1;
+	}
+
+	# fix indexes to use signed char numbers instead of int
+	my $adjust = $bit == 32 ? 4 : 6;
+	printf("#define LIMIT_INDEXES_ADJUST %d\n\n", $adjust);
+	for $i (0..78) {
+		my $idx = $indexes[$i];
+		$idx = $idx - $adjust * $i;
+		die ('error compacting indexes') if ($idx < -128 || $idx > 127);
+		$indexes[$i] = $idx;
+	}
+
+	# print all
+	print "static const signed char limit_indexes[79]= {\n";
+	for $i (0..78) {
+		printf("\t%d,\t/* %2d */\n", $indexes[$i], $i);
+	}
+	print "};\n\n";
+
+	print "static const TDS_WORD limits[]= {\n";
+	my $format = sprintf("\t0x%%0%dxu,\t/* %%3d */\n", $bit / 4);
+	for $i (0..$#limits) {
+		printf($format, $limits[$i], $i);
+		die ('limit if zero ??') if ($limits[$i] == 0);
+	}
+	print "};\n";
+}
+
+print "#ifndef HAVE_INT64\n";
+&print_all(16);
+print "#else\n";
+&print_all(32);
+print "#endif\n";
+
diff --git b/src/tds/unittests/.cvsignore a/src/tds/unittests/.cvsignore
new file mode 100644
index 0000000..eb6aa08
--- /dev/null
+++ a/src/tds/unittests/.cvsignore
@@ -0,0 +1,22 @@
+Makefile
+Makefile.in
+.libs
+.deps
+t0001
+t0002
+t0003
+t0004
+t0005
+t0006
+t0007
+t0008
+tdsdump.out
+dynamic1
+convert
+dataread
+flags
+utf8_1
+utf8_2
+utf8_3
+numeric
+iconv_fread
diff --git b/src/tds/unittests/flags.c a/src/tds/unittests/flags.c
new file mode 100644
index 0000000..5c5f28b
--- /dev/null
+++ a/src/tds/unittests/flags.c
@@ -0,0 +1,168 @@
+/* FreeTDS - Library of routines accessing Sybase and Microsoft databases
+ * Copyright (C) 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005  Brian Bruns
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ *
+ * This library is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+ * Library General Public License for more details.
+ *
+ * You should have received a copy of the GNU Library General Public
+ * License along with this library; if not, write to the
+ * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+ * Boston, MA 02111-1307, USA.
+ */
+
+#include "common.h"
+
+#include <tdsconvert.h>
+
+static char software_version[] = "$Id: flags.c,v 1.14 2005/04/14 11:35:47 freddy77 Exp $";
+static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
+
+static TDSLOGIN *login;
+static TDSSOCKET *tds;
+
+static void
+fatal_error(const char *msg)
+{
+	fprintf(stderr, "%s\n", msg);
+	exit(1);
+}
+
+static void
+check_flags(TDSCOLUMN * curcol, int n, const char *possible_results)
+{
+	char msg[256];
+	char flags[256];
+	int l;
+	char *all_res = strdup(possible_results);
+	char *res;
+	int correct = 0;
+
+	flags[0] = 0;
+	if (curcol->column_nullable)
+		strcat(flags, "nullable ");
+	if (curcol->column_writeable)
+		strcat(flags, "writable ");
+	if (curcol->column_identity)
+		strcat(flags, "identity ");
+	if (curcol->column_key)
+		strcat(flags, "key ");
+	if (curcol->column_hidden)
+		strcat(flags, "hidden ");
+	l = strlen(flags);
+	if (l)
+		flags[l - 1] = 0;
+
+	/* one result is valid ?? */
+	for (res = strtok(all_res, "-"); res; res = strtok(NULL, "-"))
+		if (strcmp(flags, res) == 0)
+			correct = 1;
+
+	if (!correct) {
+		sprintf(msg, "flags:%s\nexpected: %s\nwrong column %d flags", flags, possible_results, n + 1);
+		fatal_error(msg);
+	}
+}
+
+static void
+test_begin(const char *cmd)
+{
+	TDS_INT result_type;
+
+	fprintf(stdout, "%s: Testing query\n", cmd);
+	if (tds_submit_query(tds, cmd) != TDS_SUCCEED)
+		fatal_error("tds_submit_query() failed");
+
+	if (tds_process_tokens(tds, &result_type, NULL, TDS_TOKEN_RESULTS) != TDS_SUCCEED)
+		fatal_error("tds_process_tokens() failed");
+
+	if (result_type != TDS_ROWFMT_RESULT)
+		fatal_error("expected row fmt() failed");
+
+	/* test columns results */
+	if (tds->current_results != tds->res_info)
+		fatal_error("wrong current_results");
+}
+
+static void
+test_end(void)
+{
+	TDS_INT result_type;
+	int done_flags;
+
+	if (tds_process_tokens(tds, &result_type, &done_flags, TDS_TOKEN_RESULTS) != TDS_SUCCEED)
+		fatal_error("tds_process_tokens() failed");
+
+	if (result_type != TDS_DONE_RESULT)
+		fatal_error("expected done failed");
+
+	if (done_flags & TDS_DONE_ERROR)
+		fatal_error("query failed");
+
+	if (tds_process_tokens(tds, &result_type, NULL, TDS_TOKEN_RESULTS) != TDS_NO_MORE_RESULTS)
+		fatal_error("tds_process_tokens() failed");
+}
+
+int
+main(int argc, char **argv)
+{
+	TDSRESULTINFO *info;
+	char mymsg[256];
+
+	fprintf(stdout, "%s: Testing flags from server\n", __FILE__);
+	if (try_tds_login(&login, &tds, __FILE__, 0) != TDS_SUCCEED) {
+		fprintf(stderr, "try_tds_login() failed\n");
+		return 1;
+	}
+
+	if (run_query(tds, "create table #tmp1 (i numeric(10,0) identity primary key, b varchar(20) null, c int not null)") !=
+	    TDS_SUCCEED)
+		fatal_error("creating table error");
+
+	/* TDS 4.2 without FOR BROWSE clause seem to forget flags... */
+	if (!IS_TDS42(tds)) {
+		/* check select of all fields */
+		test_begin("select * from #tmp1");
+		info = tds->current_results;
+
+		if (info->num_cols != 3) {
+			sprintf(mymsg,"wrong number of columns returned expected 3 got %d", info->num_cols);
+			fatal_error(mymsg);
+		}
+
+		check_flags(info->columns[0], 0, "identity");
+		check_flags(info->columns[1], 1, "nullable writable");
+		check_flags(info->columns[2], 2, "writable");
+
+		test_end();
+	}
+
+
+	/* check select of 2 field */
+	test_begin("select c, b from #tmp1 for browse");
+	info = tds->current_results;
+
+	if (info->num_cols != 3)
+		fatal_error("wrong number of columns returned");
+
+	check_flags(info->columns[0], 0, "writable");
+
+	if (!IS_TDS42(tds)) {
+		check_flags(info->columns[1], 1, "nullable writable");
+	} else {
+		check_flags(info->columns[1], 1, "writable-nullable writable");
+	}
+	/* TDS5 return not identity information altough documented.. */
+	check_flags(info->columns[2], 2, "writable identity key hidden-writable key hidden");
+
+	test_end();
+
+	try_tds_logout(login, tds, 0);
+	return 0;
+}
diff --git b/vms/.cvsignore a/vms/.cvsignore
new file mode 100644
index 0000000..282522d
--- /dev/null
+++ a/vms/.cvsignore
@@ -0,0 +1,2 @@
+Makefile
+Makefile.in
diff --git b/vms/Makefile.am a/vms/Makefile.am
new file mode 100644
index 0000000..fb78fcd
--- /dev/null
+++ a/vms/Makefile.am
@@ -0,0 +1,4 @@
+EXTRA_DIST = config_h.vms configure.com descrip_mms.template \
+	getpass.c libodbc.opt odbc_driver_axp.opt README.vms
+
+clean:
diff --git b/win32/.cvsignore a/win32/.cvsignore
new file mode 100644
index 0000000..cf35acd
--- /dev/null
+++ a/win32/.cvsignore
@@ -0,0 +1,5 @@
+Makefile
+Makefile.in
+version.rc
+freetds.nsh
+setup.res
diff --git b/win32/dev-cpp/.cvsignore a/win32/dev-cpp/.cvsignore
new file mode 100644
index 0000000..282522d
--- /dev/null
+++ a/win32/dev-cpp/.cvsignore
@@ -0,0 +1,2 @@
+Makefile
+Makefile.in
diff --git b/win32/msvc6/.cvsignore a/win32/msvc6/.cvsignore
new file mode 100644
index 0000000..282522d
--- /dev/null
+++ a/win32/msvc6/.cvsignore
@@ -0,0 +1,2 @@
+Makefile
+Makefile.in

======== climb down out of branch
